<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Institution;
use App\Models\QuestionnaireAnswer;
use App\Models\UserRole;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{

    const ACCESS_DENIED_BLADE = 'access_denied';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }


    public function accessDenied(){

        $user = Auth::user();
        $year = date("Y");
        $answers = QuestionnaireAnswer::where('questionnaire_year', '=', $year)
        ->where('institution_id', '=', $user->institution_id)->get();

        $institution = Institution::find($user->institution_id);
        $userRole = UserRole::find($user->user_role_id);

        return view(HomeController::ACCESS_DENIED_BLADE, [
            'answers' => $answers, 'user' => $user, 
            'institution' => $institution, 
            'userRole' => $userRole
        ]);
    }
}