<?php

namespace App\Http\Controllers;

use App\Models\Institution;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

use App\Models\QuestionnaireAnswer;
use App\Models\QuestionnaireAnswerDetail;
use App\Models\QuestionnaireTableAnswer;
use App\Models\UserRole;
use Illuminate\Support\Facades\Auth;

class StakeholdersController extends Controller
{

    const WELCOME_BLADE = 'stakeholders/welcome';
    const QUESTIONNAIRE_REVIEW_BLADE = 'questionnaire_review';
    const QUESTIONNAIRE_BLADE = 'stakeholders/questionnaire';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {

        $user = Auth::user();
        $year = date("Y");
        $answers = QuestionnaireAnswer::where('questionnaire_year', '=', $year)
        ->where('institution_id', '=', $user->institution_id)->get();

        $institution = Institution::find($user->institution_id);
        $userRole = UserRole::find($user->user_role_id);
        
        return view(StakeholdersController::WELCOME_BLADE,
        [
            'answers' => $answers, 'user' => $user, 
            'institution' => $institution, 
            'userRole' => $userRole
        ]);
    }

    public function save(Request $request){

        //TO DO: Questionnaire Saving

        print_r($request->post()); exit;

        return redirect(QuestionnaireController::QUESTIONNAIRE_URL);
    }


    public function edit($id) {
        
        //TO DO: The Whole Thing

        return redirect(QuestionnaireController::QUESTIONNAIRE_URL);

    }

    public function del(Request $request) {

        //TO DO: The Whole Thing

        return redirect(QuestionnaireController::QUESTIONNAIRE_URL);
    }

    public function questionnaire() {

        $questionnaires = DB::select(Db::raw("select 
            questionnaire.* from questionnaire inner join   
            questionnaire_part on questionnaire.questionnaire_part_id = 
            questionnaire_part.questionnaire_part_id inner join   
            questionnaire_section on questionnaire.questionnaire_section_id = 
            questionnaire_section.questionnaire_section_id 
            left join questionnaire_table on questionnaire.questionnaire_id
             = questionnaire_table.questionnaire_id  
            left join category on questionnaire.category_id = category.category_id
            left join sub_category on questionnaire.sub_category_id = 
            sub_category.sub_category_id order by questionnaire.questionnaire_part_id asc,
            questionnaire.questionnaire_section_id asc, questionnaire.question_no asc"));

        return view(StakeholdersController::QUESTIONNAIRE_BLADE,
            ['questionnaires' => $questionnaires]);
    }

}