<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property integer $financial_year_id
 * @property integer $created_by
 * @property string $financial_year_name
 * @property integer $status
 * @property string $created
 * @property string $modified
 * @property User $user
 */
class FinancialYear extends Model
{
    /**
     * The table associated with the model.
     * 
     * @var string
     */
    protected $table = 'financial_year';

    /**
     * The primary key for the model.
     * 
     * @var string
     */
    protected $primaryKey = 'financial_year_id';

    /**
     * The "type" of the auto-incrementing ID.
     * 
     * @var string
     */
    protected $keyType = 'integer';

    public $timestamps = false;

    /**
     * @var array
     */
    protected $fillable = ['created_by', 'financial_year_name', 'status',
     'created', 'modified'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by', 'user_id');
    }
}
