<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property integer $questionnaire_answer_detail_id
 * @property integer $questionnaire_answer_id
 * @property integer $questionnaire_id
 * @property integer $sub_questionnaire_id
 * @property integer $created_by
 * @property string $answer_checkbox_options
 * @property string $answer_dropdown_option
 * @property string $answer_text
 * @property string $answer_upload
 * @property string $created
 * @property string $modified
 * @property QuestionnaireAnswer $questionnaireAnswer
 * @property Questionnaire $questionnaire
 * @property SubQuestionnaire $subQuestionnaire
 * @property User $user
 */
class QuestionnaireAnswerDetail extends Model
{
    /**
     * The table associated with the model.
     * 
     * @var string
     */
    protected $table = 'questionnaire_answer_detail';

    /**
     * The primary key for the model.
     * 
     * @var string
     */
    protected $primaryKey = 'questionnaire_answer_detail_id';

    /**
     * The "type" of the auto-incrementing ID.
     * 
     * @var string
     */
    protected $keyType = 'integer';

    public $timestamps = false;

    /**
     * @var array
     */
    protected $fillable = ['questionnaire_answer_id', 'created_by',
     'answer_checkbox_options', 'answer_dropdown_option', 'answer_text',
      'answer_upload', 'created', 'modified'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function questionnaireAnswer()
    {
        return $this->belongsTo('App\Models\QuestionnaireAnswer', null,
         'questionnaire_answer_id');
    }


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by', 'user_id');
    }
}
