<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property integer $src_circular_id
 * @property integer $created_by
 * @property string $subject
 * @property string $ref_no
 * @property string $date_issued
 * @property integer $status
 * @property string $created
 * @property string $modified
 * @property User $user
 */
class SrcCircular extends Model
{
    /**
     * The table associated with the model.
     * 
     * @var string
     */
    protected $table = 'src_circular';

    /**
     * The primary key for the model.
     * 
     * @var string
     */
    protected $primaryKey = 'src_circular_id';

    /**
     * The "type" of the auto-incrementing ID.
     * 
     * @var string
     */
    protected $keyType = 'integer';

    public $timestamps = false;

    /**
     * @var array
     */
    protected $fillable = ['created_by', 'subject', 'ref_no', 'date_issued',
     'status', 'created', 'modified'];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'created_by', 'user_id');
    }
}
