<?php
namespace App\Reports;

class SRCReport extends \koolreport\KoolReport
{
    use \koolreport\laravel\Friendship;
    // By adding above statement, you have claim the friendship between two frameworks
    // As a result, this report will be able to accessed all databases of Laravel
    // There are no need to define the settings() function anymore
    // while you can do so if you have other datasources rather than those
    // defined in Laravel.
    

    function setup()
    {
        // Now you can use that database without any futher setitngs.
        $this->src("mysql")
          ->query("SELECT c.category_name AS Category,
           COUNT(i.institution_id) as Institutions,
           IF(MOD(c.category_id,2) < 1, '#4C6EF5', '#39B54A') AS Color
            FROM institution i INNER JOIN sub_category s USING(sub_category_id)
           INNER JOIN category c USING (category_id)
            GROUP BY c.category_id")
           ->pipe($this->dataStore("no_of_institutions"));
        
        $this->src("mysql")
        ->query("SELECT COUNT(*) as Categories FROM category")
        ->pipe($this->dataStore("no_of_categories"));

        $this->src("mysql")
        ->query("SELECT COUNT(*) as Subcategories FROM sub_category")
        ->pipe($this->dataStore("no_of_subcategories"));
    }
}