<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo csrf_token(); ?>">

    <title>SRC Compliance System</title>

    <!-- Scripts -->
    <script src="/js/app.js" defer></script>
    <script src="/js/jquery.min.js"></script>
    <script src="/js/ckeditor.js" defer></script>
    <script src="/js/bootstable.js" defer></script>
    <script src="/js/jquery.datetimepicker.js" defer></script>
    <script src="/js/src_compliance.js" defer></script>
    <script src="/js/questionnaire.js" defer></script>

    <link rel="icon" href="/favicon.png" sizes="32x32" />

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="/css/app.css" rel="stylesheet">
    <link href="/css/jquery.datetimepicker.css" rel="stylesheet">
    <link href="/css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="row header-src">
                <div class="col-md-4 col-xs-12">
                    <a class="navbar-brand" href="/">
                        <img src="/images/logo.png" width="200px" alt="SRC" />
                    </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                </div>
                <div class="col-md-4 col-xs-12 center-header">
                    COMPLIANCE MANAGEMENT SYSTEM
                </div>
                <div class="col-md-4 col-xs-12">
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <!-- Left Side Of Navbar -->
                        <ul class="navbar-nav mr-auto">

                        </ul>

                        <!-- Right Side Of Navbar -->
                        <ul class="navbar-nav ml-auto">
                            <!-- Authentication Links -->
                            <?php
                            $user = Illuminate\Support\Facades\Auth::user();
                            ?>
                            <?php if($user == null) {?>
                            <li class="nav-item">
                                <a class="nav-link" href="/login">Login</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/register">Registration</a>
                            </li>
                            <?php } else { ?>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" style="font-size: 15px;" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    <i class="fa fa-user">&nbsp;&nbsp;<?php echo htmlentities($user->name); ?> </i>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown" style="font-size: 15px;">
                                    <a class="dropdown-item" href="#">
                                        <i class="fa fa-file">&nbsp;&nbsp;Download User Guide </i>
                                    </a>
                                    <a class="dropdown-item" href="#" target="_blank">
                                        <i class="fa fa-ticket">&nbsp;&nbsp;Help Desk </i>
                                    </a>
                                    <a class="dropdown-item" href="/logout" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <i class="fa fa-sign-out">&nbsp;&nbsp;Logout </i>
                                    </a>

                                    <form id="logout-form" action="/logout" method="POST" class="d-none">
                                    <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>" />
                                    </form>
                                </div>
                            </li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>

        <main>
            <div class="container content">

                <?php

                use \koolreport\widgets\koolphp\Table;
                ?>

                <div class="row">
                    <div class="col-sm-3">
                        <div class="menu-header">
                            MANAGE
                        </div>
                        <ul id="accordion" class="accordion" style="margin-top: 0px;border-radius: 0;">
                            <li>
                                <div class="link"><i class="fa fa-question">
                                    </i>Questionnaires<i class="fa fa-chevron-down"></i></div>
                                <ul class="submenu">
                                    <li><a href="/questionnaireparts">Questionnaire Parts</a></li>
                                    <li><a href="/questionnairesections">Questionnaire Sections</a></li>
                                    <li><a href="/questionnaire">Questions</a></li>
                                </ul>
                            </li>
                            <li>
                                <div class="link"><i class="fa fa-user">
                                    </i>Administration<i class="fa fa-chevron-down"></i></div>
                                <ul class="submenu">
                                    <li><a href="/users">Users</a></li>
                                    <li><a href="/userroles">User Roles</a></li>
                                    <li><a href="/circulars">SRC Circulars</a></li>
                                </ul>
                            </li>
                            <li>
                                <div class="link"><i class="fa fa-cog">
                                    </i>Setup<i class="fa fa-chevron-down"></i></div>
                                <ul class="submenu">
                                    <li><a href="/categories">Categories</a></li>
                                    <li><a href="/subcategories">Sub Categories</a></li>
                                    <li><a href="/institutions">Institutions</a></li>
                                    <li><a href="/financialyears">Financial Years</a></li>
                                    <li><a href="/counties">Counties</a></li>
                                    <li><a href="/constituencies">Constituencies</a></li>
                                    <li><a href="/countyassemblies">County Assemblies</a></li>
                                </ul>
                            </li>
                            <li>
                                <div class="link"><i class="fa fa-folder">
                                    </i>Reports<i class="fa fa-chevron-down"></i></div>
                                <ul class="submenu">
                                    <li><a href="/reports">Dashboard</a></li>
                                    <li><a href="#">Reports</a></li>
                                </ul>
                            </li>
                        </ul>

                        <script>
                            $(function() {
                                var Accordion = function(el, multiple) {
                                    this.el = el || {};
                                    this.multiple = multiple || false;

                                    // Variables privadas
                                    var links = this.el.find('.link');
                                    // Evento
                                    links.on('click', {
                                        el: this.el,
                                        multiple: this.multiple
                                    }, this.dropdown)
                                }

                                Accordion.prototype.dropdown = function(e) {
                                    var $el = e.data.el;
                                    $this = $(this),
                                        $next = $this.next();

                                    $next.slideToggle();
                                    $this.parent().toggleClass('open');

                                    if (!e.data.multiple) {
                                        $el.find('.submenu').not($next).slideUp().parent().removeClass('open');
                                    };
                                }

                                var accordion = new Accordion($('#accordion'), false);
                            });
                        </script>
                    </div>
                    <div class="col-sm-9">
                        <div class="row">
                            <div class="col-sm-12 add-container">
                                
                                <div class="row">
                                    <div class="col-md-4">
                                        <?php
                                        \koolreport\widgets\google\BarChart::create(array(
                                            "title"=>"Institutions by Category",
                                            "dataSource"=>$this->dataStore("no_of_institutions"),
                                            "height" => "160px",
                                            "columns"=>array(
                                                "Category",
                                                "Institutions"=>array(
                                                    "label"=>"Institutions",
                                                    "type"=>"number",
                                                    "style"=>function($row){
                                                        return "color:".$row["Color"];
                                                    }
                                                ),
                                            ),
                                        ));
                                        ?>
                                    </div>
                                    <div class="col-md-4">
                                    <?php
                                        \koolreport\widgets\koolphp\Card::create(array(
                                            "title" => "Number of Institutions' Categories",
                                            "dataSource"=>$this->dataStore("no_of_categories"),
                                            "value" => $this->dataStore("no_of_categories"),
                                            "cssStyle"=>array(
                                                "card"=>"border-color:#C95818;background:#C95818;",
                                                "value"=>"color:white",
                                                "title"=>"color:#F7C894"
                                            )
                                        ));
                                    ?>
                                    </div>
                                    <div class="col-md-4">
                                    <?php

                                    \koolreport\widgets\koolphp\Card::create(array(
                                        "title" => "Number of Institutions' Sub Categories",
                                        "dataSource"=>$this->dataStore("no_of_subcategories"),
                                        "value" => $this->dataStore("no_of_subcategories"),
                                        "cssStyle"=>array(
                                            "card"=>"border-color:#4C6EF5;background:#4C6EF5;",
                                            "value"=>"color:white",
                                            "title"=>"color:#F7C894"
                                        )
                                    ));

                                    ?>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">

                                    </div>
                                    <div class="col-md-6">

                                    </div>
                                </div>
                                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>

        <div class="row footer-cp">
            <div class="col-md-7">
                Copyright &copy; 2021 Salaries and Remuneration Commission (SRC). All Right Reserved.
            </div>
            <div class="col-md-5">
                <div class="footer-social">
                    <ul>
                        Designed by FellTech Systems ver 1.0
                    </ul>
                </div>
            </div>
        </div>

    </div>
</body>

</html>