@extends('layouts.app')
@section('content')

<div class="row">
    <div class="col-sm-3">
        @include('side_menu')
    </div>
    <div class="col-sm-9">
        <div class="row">
            <div class="col-sm-12 add-container">
                <form action="/county/save" method="post" class="add-form">
                    <div class="container">
                        <div class="row">
                            @csrf
                            @if ($errors->any())
                            <div class="alert alert-danger" role="alert">
                                Please fix the following errors
                            </div>
                            @endif
                            @if($selectedCounty != null)
                            <input type="hidden" id="selected_county" name="selected_county" value="{{$selectedCounty->county_id}}" />
                            @endif
                            <div class="col-sm-9">
                                <div class="form-group">
                                    <label for="county_name">County Name</label>
                                    <input type="text" class="form-control @error('county_name') is-invalid @enderror" id="county_name" name="county_name" placeholder="Name" value="@if($selectedCounty != null){{$selectedCounty->county_name}}@else{{ old('county_name') }}@endif">
                                    @error('county_name')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <div class="form-group">
                                    <label for="county_code">County Code</label>
                                    <input type="text" class="form-control @error('county_code') is-invalid @enderror" id="county_code" name="county_code" placeholder="County Code" value="@if($selectedCounty != null){{$selectedCounty->county_code}}@else{{ old('county_code') }}@endif">
                                    @error('county_code')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary bt-margin">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="container">
                <div class="row search-mg">
                    <div class="col-md-12 search-col">
                        <button class="btn float-right search-bt" onclick="searchCounties()">Search</button>
                        <input type="text" class="form-control float-right search-txt" id="search-county" name="search-county" placeholder="Search" />
                    </div>
                </div>
                <div class="row t-header">
                    <div class="col-4">County Code</div>
                    <div class="col-4">County Name</div>
                    <div class="col-4"></div>
                </div>
                <div id="counties-data">
                    @foreach ($counties as $county)
                    <div class="row t-content">
                        <div class="col-4">
                            {{ $county->county_code }}
                        </div>
                        <div class="col-4">
                            {{ $county->county_name }}
                        </div>
                        <div class="col-4 edit-butts">
                            <span>
                                <a href="/county/edit/{{$county->county_id}}">
                                    <img src="/images/edit.png" width="15px" alt="Edit" />
                                </a>
                                <button rel="{{$county->county_id}}" class="btn delcounty" data-toggle="modal" data-target="#countiesModal">
                                    <img src="/images/delete.png" width="15px" alt="Delete" />
                                </button>
                            </span>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="countiesModal" tabindex="-1" role="dialog" aria-labelledby="countiesModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="countiesModalLabel">Confirm Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you would like to delete the selected county?
                </div>
                <div class="modal-footer">
                    <div class="row" style="width:100%">
                        <div class="col-8">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                        <div class="col-4">
                            <form action="/county/del" method="post">
                                @csrf
                                <input type="hidden" id="del-county" name="deletecounty" />
                                <button type="submit" class="btn btn-primary">Confirm</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endsection