@extends('layouts.app')
@section('content')

<div class="row">
    <div class="col-sm-3">
        @include('side_menu')
    </div>
    <div class="col-sm-9">
        <div class="row">
            <div class="col-sm-12 add-container">
                <form action="/financialyear/save" method="post" class="add-form">
                    <div class="container">
                        <div class="row">
                            @csrf
                            @if ($errors->any())
                            <div class="alert alert-danger" role="alert">
                                Please fix the following errors
                            </div>
                            @endif
                            @if($selectedFinancialyear != null)
                            <input type="hidden" id="selected_financialyear" name="selected_financialyear" value="{{$selectedFinancialyear->financialyear_id}}" />
                            @endif
                            <div class="col-sm-9">
                                <div class="form-group">
                                    <label for="financial_year_name">Financial Year</label>
                                    <input type="text" class="form-control @error('financial_year_name') is-invalid @enderror" id="financial_year_name" name="financial_year_name" placeholder="Financial Year" value="@if($selectedFinancialyear != null){{$selectedFinancialyear->financial_year_name}}@else{{ old('financial_year_name') }}@endif">
                                    @error('financial_year_name')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary bt-margin">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <div class="container">
                <div class="row search-mg">
                    <div class="col-md-12 search-col">
                        <button class="btn float-right search-bt" onclick="searchFinancialYears()">Search</button>
                        <input type="text" class="form-control float-right search-txt" id="search-financialyear" name="search-financialyear" placeholder="Search" />
                    </div>
                </div>
                <div class="row t-header">
                    <div class="col-6">Financial Year</div>
                    <div class="col-6"></div>
                </div>
                <div id="financialyears-data">
                    @foreach ($financialyears as $financialyear)
                    <div class="row t-content">
                        <div class="col-6">
                            {{ $financialyear->financial_year_name }}
                        </div>
                        <div class="col-6 edit-butts">
                            <span>
                                <a href="/financialyear/edit/{{$financialyear->financial_year_id}}">
                                    <img src="/images/edit.png" width="15px" alt="Edit" />
                                </a>
                                <button rel="{{$financialyear->financial_year_id}}" class="btn delfinancialyear" data-toggle="modal" data-target="#financialyearsModal">
                                    <img src="/images/delete.png" width="15px" alt="Delete" />
                                </button>
                            </span>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="financialyearsModal" tabindex="-1" role="dialog" aria-labelledby="financialyearsModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="financialyearsModalLabel">Confirm Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you would like to delete the selected financial year?
                </div>
                <div class="modal-footer">
                    <div class="row" style="width:100%">
                        <div class="col-8">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                        <div class="col-4">
                            <form action="/financialyear/del" method="post">
                                @csrf
                                <input type="hidden" id="del-financialyear" name="deletefinancialyear" />
                                <button type="submit" class="btn btn-primary">Confirm</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
 @endsection