@extends('layouts.app')
@section('content')

<script>
    $(document).ready(function() {

        ClassicEditor.create(document.querySelector('#sub_question'))
            .then(editor => {
                console.log(editor);
            }).catch(error => {
                console.error(error);
            });


    });
</script>

<div class="row">
    <div class="col-sm-3">
        @include('side_menu')
    </div>
    <div class="col-sm-9">
        <div class="row">
            <div class="col-sm-12 add-container">
                <div class="container subquiz-container">
                    <div class="row" style="margin: 0;">
                    <div class="col-sm-11">

                        <ol class="quiz-ol">
                            <li>
                                <div style="margin-top: 10px;">
                                <?php echo $selectedQuestion->question; ?>
                                </div>
                                @if($selectedQuestion->checkbox_options != null)
                                <?php $checkboxOptions = explode(",", $selectedQuestion->checkbox_options); ?>
                                <?php $count = 0; ?>
                                @foreach($checkboxOptions as $option)
                                <?php $count++; ?>
                                <div class="col-4">
                                    <input type="checkbox" disabled="disabled" id="checkbox-<?php echo $selectedQuestion->questionnaire_id."-".$count;?>" name="checkbox-<?php echo $selectedQuestion->questionnaire_id;?>" value="<?php echo $option; ?>">
                                    <label for="checkbox-<?php echo $selectedQuestion->questionnaire_id."-".$count;?>"> <?php echo $option; ?></label>
                                </div>
                                @endforeach
                                @endif
                            </li>
                        </ol>
                        <?php $questionnaire_tables = \App\Models\QuestionnaireTable::where('questionnaire_id', '=', $selectedQuestion->questionnaire_id)->get(); ?>
                        @if($questionnaire_tables != null)
                        @foreach($questionnaire_tables as $table)
                        <div class="table-answers">
                            <?php echo $table->table_title; ?>
                        </div>
                        <?php echo $table->table_js; ?>
                        <?php echo $table->table_html; ?>
                        @endforeach
                        @endif
                    </div>
                    <div class="col-sm-1" style="padding: 0;">
                        <a href="/questionnaire">
                            <button class="btn float-right search-bt" style="padding: 2px 10px;">Back</button>
                        </a>
                    </div>
                    </div>
                </div>
                <form action="/subquestionnaire/save" method="post" class="add-form">
                    <input type="hidden" id="questionnaire_id" name="questionnaire_id" value="{{$selectedQuestion->questionnaire_id}}" />
                    <div class="container">
                        @csrf
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_question_no">Sub Question Number</label>
                                    <input type="number" class="form-control @error('sub_question_no') is-invalid @enderror" id="sub_question_no" name="sub_question_no" placeholder="Sub Question Number" value="">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_question">Sub Question Body</label>
                                    <textarea id="sub_question" name="sub_question" cols="20" rows="30"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_feedback" style="padding: 0px 6px;">Include Feed Back under Sub Question?</label>
                                    <input type="radio" name="sub_feedback" value="1">Yes
                                    <input type="radio" name="sub_feedback" value="0">No
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_include_checkbox_options" style="padding: 0px 6px;">Include Checkbox Options under Sub Question?</label>
                                    <input type="radio" name="sub_include_checkbox_options" onchange="checkSubCheckboxOption()" value="1">Yes
                                    <input type="radio" name="sub_include_checkbox_options" onchange="checkSubCheckboxOption()" value="0">No
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_checkbox_options_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_checkbox_options">Checkbox Options (Comma Separated)</label>
                                    <input type="text" class="form-control @error('sub_checkbox_options') is-invalid @enderror" id="sub_checkbox_options" name="sub_checkbox_options" placeholder="Checkbox Options" value="">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_include_dropdown_options" style="padding: 0px 6px;">Include Drop Down Options under Sub Question?</label>
                                    <input type="radio" name="sub_include_dropdown_options" onchange="checkSubDropdownOption()" value="1">Yes
                                    <input type="radio" name="sub_include_dropdown_options" onchange="checkSubDropdownOption()" value="0">No
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_dropdown_options_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_dropdown_options">Drop Down Options (Comma Separated)</label>
                                    <input type="text" class="form-control @error('sub_dropdown_options') is-invalid @enderror" id="sub_dropdown_options" name="sub_dropdown_options" placeholder="Drop Down Options" value="">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="needs_upload" style="padding: 0px 6px;">Include File Upload Option under Sub Question?</label>
                                    <input type="radio" name="needs_upload" value="1">Yes
                                    <input type="radio" name="needs_upload" value="0">No
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_include_answers_table" style="padding: 0px 6px;">Include an Answers Table under Sub Question?</label>
                                    <input type="radio" name="sub_include_answers_table" onchange="checkSubAnswersTable()" value="1">Yes
                                    <input type="radio" name="sub_include_answers_table" onchange="checkSubAnswersTable()" value="0">No
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_table_no_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_table_no">Table No.</label>
                                    <input type="number" class="form-control @error('sub_table_no') is-invalid @enderror" id="sub_table_no" name="sub_table_no" placeholder="Table Number" value="">
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_table_title_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_table_title">Table Title</label>
                                    <input type="text" class="form-control @error('sub_table_title') is-invalid @enderror" id="sub_table_title" name="sub_table_title" placeholder="Table Title" value="">
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_table_html_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_table_html">Answers Table HTML Script (Be Careful with Your Unique IDs)</label>
                                    <textarea id="sub_table_html" name="sub_table_html" cols="20" rows="50"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="row" id="sub_table_js_div">
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label for="sub_table_js">Answers Table Javascript If Applicable</label>
                                    <textarea id="sub_table_js" name="sub_table_js" cols="20" rows="50"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary bt-margin">Save</button>
                            </div>
                        </div>

                    </div>
                </form>
            </div>

            <div class="container">
                <div class="row t-header">
                    <div class="col-6">Number</div>
                    <div class="col-6"></div>
                </div>
                <div id="questionnaires-data">
                    @foreach ($sub_questionnaires as $sub_questionnaire)
                    <div class="row t-content">
                        <div class="col-6">
                            {{ $sub_questionnaire->sub_question_no }}
                        </div>
                        <div class="col-6 edit-butts">
                            <span>
                                <a href="/subquestionnaire/view/{{$sub_questionnaire->sub_questionnaire_id}}">
                                    <button class="btn quiz-butt">
                                        Open
                                    </button>
                                </a>
                            </span>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

</div>
@endsection