@extends('layouts.app')
@section('content')

<div class="row">
    <div class="col-sm-3">
        @include('side_menu')
    </div>
    <div class="col-sm-9">
        <div class="row">
            <div class="col-sm-12 add-container">
                <form action="/userrole/save" method="post" class="add-form">
                    <div class="container">
                        <div class="row">
                            @csrf
                            @if ($errors->any())
                            <div class="alert alert-danger" role="alert">
                                Please fix the following errors
                            </div>
                            @endif
                            @if($selectedUserRole != null)
                            <input type="hidden" id="selected_userrole" name="selected_userrole" value="{{$selectedUserRole->user_role_id}}" />
                            @endif
                            <div class="col-sm-9">
                                <div class="form-group">
                                    <label for="role">Role</label>
                                    <input type="text" class="form-control @error('role') is-invalid @enderror" id="role" name="role" placeholder="Role" value="@if($selectedUserRole != null){{$selectedUserRole->role}}@else{{ old('role') }}@endif">
                                    @error('role')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <button type="submit" class="btn btn-primary bt-margin">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <div class="container">
                <div class="row search-mg">
                    <div class="col-md-12 search-col">
                        <button class="btn float-right search-bt" onclick="searchUserRoles()">Search</button>
                        <input type="text" class="form-control float-right search-txt" id="search-userrole" name="search-userrole" placeholder="Search" />
                    </div>
                </div>
                <div class="row t-header">
                    <div class="col-6">Role</div>
                    <div class="col-6"></div>
                </div>
                <div id="userroles-data">
                    @foreach ($userroles as $userrole)
                    <div class="row t-content">
                        <div class="col-6">
                            {{ $userrole->role }}
                        </div>
                        <div class="col-6 edit-butts">
                            <span>
                                <a href="/userrole/edit/{{$userrole->user_role_id}}">
                                    <img src="/images/edit.png" width="15px" alt="Edit" />
                                </a>
                                <button rel="{{$userrole->user_role_id}}" class="btn deluserrole" data-toggle="modal" data-target="#userrolesModal">
                                    <img src="/images/delete.png" width="15px" alt="Delete" />
                                </button>
                            </span>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="userrolesModal" tabindex="-1" role="dialog" aria-labelledby="userrolesModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="userrolesModalLabel">Confirm Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you would like to delete the selected role?
                </div>
                <div class="modal-footer">
                    <div class="row" style="width:100%">
                        <div class="col-8">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                        <div class="col-4">
                            <form action="/userrole/del" method="post">
                                @csrf
                                <input type="hidden" id="del-userrole" name="deleteuserrole" />
                                <button type="submit" class="btn btn-primary">Confirm</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
 @endsection