<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>SRC Compliance</title>

        <!-- Scripts -->
        <script src="{{ asset('js/app.js') }}" defer></script>

        <link rel="icon" href="/favicon.png" sizes="32x32" />

        <!-- Styles -->
        <link href="{{ asset('css/app.css') }}" rel="stylesheet">
        <link href="{{ asset('css/style.css') }}" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@200;600&display=swap" rel="stylesheet">

        <!-- Styles -->
        <style>
            html, body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Nunito', sans-serif;
                font-weight: 200;
                height: 100vh;
                margin: 0;
            }

            .full-height {
                height: 100vh;
            }

            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }

            .position-ref {
                position: relative;
            }

            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }

            .content {
                text-align: center;
            }

            .title {
                font-size: 84px;
            }

            .links > a {
                color: #636b6f;
                padding: 0 25px;
                font-size: 13px;
                font-weight: 600;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
            }

            .m-b-md {
                margin-bottom: 30px;
            }
        </style>
    </head>
    <body>
        <div class="row header-src" style="width: 102%;">
            <div class="col-md-4 col-xs-12">
                <img src="/images/logo.png" width="155px" alt="SRC" />
            </div>
            <div class="col-md-4 col-xs-12 pd-10">
                <em class="fa fa-phone">
                (+254) (20) 2710065/81 or (0)794 587 903
                </em>
            </div>
            <div class="col-md-4 col-xs-12 header-links">
            @if (Route::has('login'))
                <div class="links">
                    @auth
                        <a href="{{ url('/categories') }}">Home</a>
                    @else
                        <a href="{{ route('login') }}">Login</a>

                        @if (Route::has('register'))
                            <a href="{{ route('register') }}">Request Registration</a>
                        @endif
                    @endauth
                </div>
            @endif
            </div>
        </div>
        <div class="content">
            <div class="row">
                <div class="col-md-12">
                    <img src="/images/carousel.png" alt="SRC Automated Compliance System" width="100%" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-4 welcome-content">
                    <p class="welcome-header">Mandate of the Salaries and Remuneration Commission</p>
                    <p>
                        According to Article 230(4) of the Kenyan Constitution, the powers and functions of the Salaries and Remuneration Commission should be:
                        <ol>
                            <li>To set and regularly review the remuneration and benefits of all State officers; and</li>
                            <li>To advise the national and county governments on the remuneration and benefits of all other public officers.</li>
                        </ol>
                        In performing its functions, the Commission shall take the following principles into account:
                        <ol>
                            <li>The need to ensure that the total public compensation bill is fiscally sustainable;</li>
                            <li>The need to ensure that public services are able to attract and retain the skills required to execute their functions;</li>
                            <li>The need to recognize productivity and performance; and</li>
                            <li>Transparency and fairness.</li>
                        </ol>
                    </p>
                </div>
                <div class="col-md-4 welcome-content">
                    <p class="welcome-header">Functions of the Commission</p>
                    <p>
                        <ol>
                            <li>Inquire into and advise on the salaries and remuneration to be paid out of public funds.</li>
                            <li>Keep under review all matters relating to the salaries and remuneration of Public Officers.</li>
                            <li>Advise the national and county governments on the harmonization, equity and fairness of remuneration for the attraction and retention of requisite skills in the public sector.</li>
                            <li>Conduct comparative surveys on the labour markets and trends in remuneration to determine the monetary worth of the jobs of Public Officers.</li>
                            <li>Determine the cycle of salaries and remuneration review upon which Parliament may allocate adequate funds for implementation.</li>
                            <li>Make recommendations on matters relating to the salary and remuneration of a particular State or Public Officer.</li>
                            <li>Make recommendations on the review of pensions payable to holders of Public Offices; and</li>
                            <li>Perform such other functions as may be provided by the Constitution or any other written laws.</li>
                        </ol>
                    </p>
                </div>
                <div class="col-md-3 welcome-content">
                    <p class="welcome-header">Powers of the Commission</p>
                    <p>
                        Apart from the functions of the Salaries and Remuneration Commission, it should have powers to:
                        <ol>
                            <li>Gather, by any means appropriate, any information it considers relevant, including requisition of reports, records, documents or any information from any source, including governmental authorities;</li>
                            <li>Interview any individual, group or members of organizations or institutions and, at the Commission’s discretion, conduct such interviews;</li>
                            <li>Hold inquiries for the purposes of performing its functions under the SRC Act;</li>
                            <li>Take any measures it considers necessary to ensure that in the harmonization of salaries and remuneration, equity and fairness is achieved in the public sector.</li>
                        </ol>
                    </p>
                </div>
            </div>
        </div>
        @include('footer')
    </body>
</html>
